Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.droolsjbpm.services.impl.bpmn2
Class BPMN2DataServiceImpl

    java.lang.Object
      org.droolsjbpm.services.impl.bpmn2.BPMN2DataServiceImpl

All Implemented Interfaces:
  BPMN2DataService

    @ApplicationScoped
    public class BPMN2DataServiceImpl

extends Object
implements BPMN2DataService

Constructor Summary
`BPMN2DataServiceImpl()`

Method Summary
`ProcessDesc` | `findProcessId(String bpmn2Content)`
`Collection<TaskDef>` | `getAllTasksDef(String processId)`
`List<String>` | `getAssociatedDomainObjects(String bpmn2Content)`
`Map<String,String>` | `getAssociatedEntities(String processId)`
`List<String>` | `getAssociatedForms(String processId)`
`Map<String,String>` | `getProcessData(String processId)`
`ProcessDesc` | `getProcessDesc(String processId)`
`Collection<String>` | `getReusableSubProcesses(String processId)`
`Map<String,String>` | `getTaskInputMappings(String processId, String taskName)`
`Map<String,String>` | `getTaskOutputMappings(String processId, String taskName)`
`void` | `init()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BPMN2DataServiceImpl

    public BPMN2DataServiceImpl()

Method Detail

### init

    @PostConstruct
    public void init()

### getTaskInputMappings

    public Map<String,String> getTaskInputMappings(String processId,
                                                   String taskName)

  Specified by:
    `getTaskInputMappings` in interface `BPMN2DataService`

### getTaskOutputMappings

    public Map<String,String> getTaskOutputMappings(String processId,
                                                    String taskName)

  Specified by:
    `getTaskOutputMappings` in interface `BPMN2DataService`

### getAllTasksDef

    public Collection<TaskDef> getAllTasksDef(String processId)

  Specified by:
    `getAllTasksDef` in interface `BPMN2DataService`

### getAssociatedEntities

    public Map<String,String> getAssociatedEntities(String processId)

  Specified by:
    `getAssociatedEntities` in interface `BPMN2DataService`

### getAssociatedDomainObjects

    public List<String> getAssociatedDomainObjects(String bpmn2Content)

  Specified by:
    `getAssociatedDomainObjects` in interface `BPMN2DataService`

### getProcessData

    public Map<String,String> getProcessData(String processId)

  Specified by:
    `getProcessData` in interface `BPMN2DataService`

### getAssociatedForms

    public List<String> getAssociatedForms(String processId)

  Specified by:
    `getAssociatedForms` in interface `BPMN2DataService`

### getProcessDesc

    public ProcessDesc getProcessDesc(String processId)

  Specified by:
    `getProcessDesc` in interface `BPMN2DataService`

### getReusableSubProcesses

    public Collection<String> getReusableSubProcesses(String processId)

  Specified by:
    `getReusableSubProcesses` in interface `BPMN2DataService`

### findProcessId

    public ProcessDesc findProcessId(String bpmn2Content)

  Specified by:
    `findProcessId` in interface `BPMN2DataService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.